# HG changeset patch
# Parent 5efd444d7b8d7e8dd850c06c0c95e4e8c60d35e5
Shut up compiler warnings about unused argument and signedness.

diff -r 5efd444d7b8d -r c5aff361c4ad src/ChangeLog
--- a/src/ChangeLog	Mon Sep 09 10:25:36 2013 +0900
+++ b/src/ChangeLog	Mon Sep 09 10:33:27 2013 +0900
@@ -1,3 +1,8 @@
+2013-09-09  Stephen J. Turnbull  <stephen@xemacs.org>
+
+	* glyphs.c (check_valid_xbm_inline):
+	Shut up compiler warnings about unused argument and signedness.
+
 2013-09-09  Stephen J. Turnbull  <stephen@xemacs.org>
 
 	* lread.c (unreadchar):
diff -r 5efd444d7b8d -r c5aff361c4ad src/glyphs.c
--- a/src/glyphs.c	Mon Sep 09 10:25:36 2013 +0900
+++ b/src/glyphs.c	Mon Sep 09 10:33:27 2013 +0900
@@ -2637,7 +2637,7 @@
 static void
 check_valid_xbm_inline (Lisp_Object data)
 {
-  Lisp_Object width, height, bits, args[2];
+  Lisp_Object width, height, bits;
   unsigned long i_width, i_height;
 
   if (!CONSP (data) ||
@@ -2660,7 +2660,7 @@
 
   i_width = (unsigned long) XREALFIXNUM (width);
   i_height = (unsigned long) XREALFIXNUM (height);
-  if (i_width * i_height / 8UL > string_char_length (bits))
+  if (i_width * i_height / 8UL > (unsigned long) string_char_length (bits))
     invalid_argument ("data is too short for width and height",
 			 vector3 (width, height, bits));
 }
